import { Component } from '../components/component';
import { SettingsPanel } from '../components/settingspanel';
import { Container } from '../components/container';
import { ListBox } from '../components/listbox';
import { Action, Direction } from './types';
export declare function isSettingsPanel(component: Component<unknown>): component is SettingsPanel;
export declare function isComponent(obj: unknown): obj is Component<unknown>;
export declare function isContainer(obj: unknown): obj is Container<unknown>;
export declare function isListBox(obj: unknown): obj is ListBox;
export declare function isDirection(direction: unknown): direction is Direction;
export declare function isAction(action: unknown): action is Action;
